declare const exportFormat: {
    readonly Command: {
        emitters: Record<string, import("side-code-export/src").ProcessedCommandEmitter>;
        variableLookup: (varName: string) => string;
        variableSetter: (varName: string, value: string) => string;
        emit: (command: import("@seleniumhq/side-model").CommandShape, context: import("side-code-export/src").EmitterContext) => Promise<import("side-code-export/src").ExportFlexCommandShape>;
        register: (command: string, emitter: import("side-code-export/src").PrebuildEmitter) => void;
        extras: {
            emitWaitForWindow: () => Promise<{
                name: string;
                commands: {
                    level: number;
                    statement: string;
                }[];
                generateMethodDeclaration: (name: string) => string;
            }>;
            emitNewWindowHandling: (command: import("@seleniumhq/side-model").CommandShape, emittedCommand: import("side-code-export/src").ExportFlexCommandShape) => Promise<string>;
        };
    };
    readonly location: {
        emit: typeof import("./location").emit;
    };
    readonly opts: {
        readonly fileExtension: ".cs";
        readonly commandPrefixPadding: "  ";
        readonly terminatingKeyword: "}";
        readonly commentPrefix: "//";
    };
};
export default exportFormat;
export { default as Command } from './command';
export { default as location } from './location';
//# sourceMappingURL=index.d.ts.map